<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getSharePower](./bitburner.ns.getsharepower.md)

## NS.getSharePower() method

Share power has a multiplicative effect on rep/second while doing hacking work for a faction. If you do non-hacking work, share power still increases the reputation gain rate, but the effect is non-linear.

Share power increases incrementally for every thread of share running on your server network, but at a sharply decreasing rate.

**Signature:**

```typescript
getSharePower(): number;
```
**Returns:**

number

## Remarks

RAM cost: 0.2 GB

